Name:           noiz2sa
Version:        0.51a
Release:        %mkrel 8
Summary:        Abstract arcade shooter
License:        BSD
Group:          Games/Shooter
URL:            http://noiz2sa.sourceforge.net/
Source0:        http://downloads.sourceforge.net/noiz2sa/noiz2sa-%{version}.tar.gz
Source1:        noiz2sa.6
Source2:        noiz2sa.desktop
Source3:        noiz2sa.png
Source4:        copyright
Patch0:         noiz2sa-0.51a.patch
BuildRequires:  bison
BuildRequires:  libSDL-devel
BuildRequires:  libSDL_image-devel
BuildRequires:  libSDL_mixer-devel

%description
A classical vertical arcade shooter with an abstract theme and
matching electronic music.

Screenshot:
http://noiz2sa.sourceforge.net/noiz2sa_screen.png

%prep
%setup -q -n %{name}
%patch0 -p1
cp %{SOURCE1} .
cp %{SOURCE2} .
cp %{SOURCE3} .
cp %{SOURCE4} .

%build
cd src && make -f makefile.lin

%install
rm -rf %{buildroot}

install -d %{buildroot}/%{_gamesbindir}/
install -m 0755 src/noiz2sa %{buildroot}/%{_gamesbindir}/

install -d %{buildroot}/%{_datadir}/games/
cp -R noiz2sa_share/ %{buildroot}/%{_datadir}/games/noiz2sa/

install -d %{buildroot}%{_mandir}/man6/
install -m 0644 noiz2sa.6 %{buildroot}%{_mandir}/man6/

install -d %{buildroot}%{_datadir}/noiz2sa/
install -m 0644 noiz2sa.png %{buildroot}%{_datadir}/noiz2sa/

install -d %{buildroot}%{_datadir}/applications/
install -m 0644 noiz2sa.desktop %{buildroot}%{_datadir}/applications/

%files
%doc copyright
%{_gamesbindir}/noiz2sa
%{_datadir}/games/noiz2sa/
%{_mandir}/man6/noiz2sa.6*
%{_datadir}/applications/noiz2sa.desktop
%{_datadir}/noiz2sa/
%{_datadir}/noiz2sa/noiz2sa.png


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.51a-8.mga4
+ Revision: 508302
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 28 2012 blue_prawn <blue_prawn> 0.51a-6.mga3
+ Revision: 299142
- moved to new rpm group Games/Shooter

* Thu Sep 06 2012 blue_prawn <blue_prawn> 0.51a-5.mga3
+ Revision: 288947
- fixed TryExec in the .desktop file

* Mon Aug 06 2012 blue_prawn <blue_prawn> 0.51a-4.mga3
+ Revision: 279364
- removed "-mwindows" from LDFLAGS in the Makefile
- fixed the French localisation of the .desktop file
- tell also in Mageia now in the description
- converted the .desktop icon from .xpm to .png

* Fri Apr 13 2012 blue_prawn <blue_prawn> 0.51a-3.mga2
+ Revision: 230610
+ rebuild (emptylog)

* Wed Dec 14 2011 blue_prawn <blue_prawn> 0.51a-2.mga2
+ Revision: 181601
- non-localized key GenericName
- corrected link with libm
- link with libm
- added -fpermissive to Makefile
- imported package noiz2sa

